Subject: Re: [PATCH v2] topology/sysfs: Fix allnoconfig build breakage.

From: Stephen Rothwell <[email-masked]>
Date: Fri, 22 Apr 2022 10:00:54 +1000

Hi Tony,

On Thu, 21 Apr 2022 23:38:28 +0000 "Luck, Tony" <[email-masked]> wrote:
>
> >> Fixes: c3702a746ff5 ("topology/sysfs: Hide PPIN on systems that do not support it.")  
> >
> > This is actually commit aa63a74d4535.  
> 
> Doh! I looked in my tree, not in Greg's.
> 
> Doesn't matter much, Greg is going to revert as I haven't come up with a good[1]
> way to fix this.
> 
> -Tony
> 
> [1] I found two bad ways. First one made Greg barf. This one breaks the build for over
> 50% of supported architectures :-(

I assume that there is some good reason that topology_ppin() is not
implemented as a static inline function?

-- 
Cheers,
Stephen Rothwell